Class | Chef::Provider::Package::Dpkg
In: | lib/chef/provider/package/dpkg.rb
Parent: | Chef::Provider::Package::Apt

### Methods

install_package load_current_resource purge_package remove_package

### Included Modules

Chef::Mixin::GetSourceFromPackage

### Constants

DPKG_INFO | = | /([a-z\d\-\+]+)\t([\w\d.~-]+)/
DPKG_INSTALLED | = | /^Status: install ok installed/
DPKG_VERSION | = | /^Version: (.+)$/

### Public Instance methods

install_package(name, version)
load_current_resource()
purge_package(name, version)
remove_package(name, version)

[Validate]